Subject: bug#24565: closed (Re: bug#24565: 25.1: info freezes on some elements)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Oct 2016 19:39:02 +0000

Your bug report

#24565: 25.1: info freezes on some elements

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24565: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24565
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24565: 25.1: info freezes on some elements
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 08 Oct 2016 22:37:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 01 Oct 2016 12:48:40 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > The discussion about #15876 ended with your suggestion to comment
> > that stuff out just for that bug.
> 
> That was before the serious problems I mentioned previously were
> fixed.

I've now added a variable that can be used to disable the cache
compaction.  See the discussion of bug#24634.

With this, I consider this bug done.

Thanks.

Subject: 25.1: info freezes on some elements
From: Nikolay Kudryavtsev <[email-masked]>
To: [email-masked]
Date: Thu, 29 Sep 2016 10:30:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q
2. (info "(elisp) Association Lists")
3. Hold down next-line.

What should happen: the moment you see the arrow symbol in some 
examples, you should get a freeze for a couple of seconds. Sexps in the 
beggining of that page, without the arrow do not seem to trigger the 
freeze. It also seems like those freezes are accumulative - that is 
freeze for a page with three arrows is three times as long as a freeze 
for a single arrow.

Happens on Windows.

This bug happens both on master and 25.1, with official binaries. This 
does not happen in 24.5.

-- 
Best Regards,
Nikolay Kudryavtsev